loginbyemail, ver 3 v1.1

Release Notes

This version adds token to password retrieval

  • @Mike thnks. we will be waiting. am a Nigeria ICT consultant . what about you?

  • @dozenhost I'm owner of Elggdev.com, we develop Elgg-based portals and plugins for the platform. This plugin comes from one of the projects we are working on.

  • @Mike Myname is Timothy. I will send you mail.

  • @mike it is working perfecly now.. Thanks

  • I just installed the loginbyemail plugin, but when trying to login using an e-mailaddress, I get the red banner message "We couldn't log you in. This may be because you haven't validated your e-mail account.....etc"

    I'm using the Site Access 2.6 plugin to only allow activation by administrators. I validated the e-mail account, then logged on as admin and activated the test user. Still I can't login with the test user's e-mail account.

    Any thoughts?

     

  • In my own theme I have the folder views/default/account/forms/ with login.php and forgotten_password.php because of some styling.

    Now I have turned on loginbyemail and the same files with a few changes are in loginbyemail/views/default/account/forms/

    The question is, should I delete the files in my own theme?

  • Gille, it's best if you upgrade the styles in your theme with a new code that is introduced in this plugin. Otherwise, you can place this plugin below your theme - you will have full functionality then, although you will have to style those pages again.

  • Thank you. I was a bit concerned about dublicates in the two plugins, this and my theme.

    I delete the files in my own theme and then ad the nessesary styling to this plugin.

  • When I request a new password, and click the link in the email I get this message:

    Form is missing __token or __ts fields

    I'm using 1.7.3, shouldn't this plugin work with that version?

     

  • gille, this is a bug we already corrected, although after I uploaded the plugin to the community. I just uploaded the newest version.

  • Thank you, removed that error :)

    But If you request a new password from IE and your default browser is FF which opens when you click the email link you get this error:

    We encountered an error (token mismatch). This probably means that the page you were using expired. Please try again.

    And, the email being sent is in English regardless of what language the user has selected.

  • GIlle, thank you for reporting this. Language problems (emails with language of sender, not receiver) are related to core of Elgg, we're currently searching for a workaround we could use globally without modifying the core. There are more places where notifications work this way.

     

    We will fix the problems with tokens, although it may take a while, as we have to focus on paid projects first.

  • Thank you, really nice that you support your plugins :)

     

  • Ok I am new back here at elgg, so this might have been covered already somewhere. If so I do apologise.

    I woudl like to now why the full version you have for sale is not available to us under GPL?

    "This plugin was originally written by Pedro Prez, you can find his oroginal plugin here:

    http://community.elgg.org/mod/community_plugins/read.php?guid=384496"

    If so you obtained the code freely, you have to distribute any modifications. Am I wrong and getting this all confused?

  • n0de, please read carefully. This is the full GPL version, there is no commercial version of this plugin. I'm not sure why you got impression this plugin is commercial.

  • ohh mainly due to the fact most of yours do have different versions and you make a mention of your commercial site in the plugin description.

     

    So just to clarify? if you have developed something form ground up you dont have to offer it under GPL if you want to sell it?

     

  • n0de, please browse throught plugins we developed, a lot of them are released only on GPL licence.

    Also, some of the commercial plugins we developed were offered only on GPL licence at the beginning, and had commercial version developed for our paying customers on top of the GPL version.

     

    The code you develop from the ground up don't have to be under GPL licence, all plugins uploaded to Elgg.org repository have to be in GPL-compatible licence though.

  • @Mike Do  you have any plans upgrading this to 1.7.4 with a fix of email token missmatch?

    ... If you request a new password from IE and your default browser is FF which opens when you click the email link you get this error:

    We encountered an error (token mismatch). This probably means that the page you were using expired. Please try again.

Mike Zacher (vazco)

I'm an Elgg expert and CEO of vazco.eu - the first plugin store for Elgg. We focus on development of highly scalable and highly customized Elgg websites.

Stats

  • Category: Uncategorized
  • License: GNU General Public License (GPL) version 2
  • Updated: 2014-11-17
  • Downloads: 1984
  • Recommendations: 5

Other Projects

View Mike Zacher (vazco)'s plugins